# Created by pyp2rpm-0.5.1
%global pypi_name cgen

Name:           python-%{pypi_name}
Version:        2020.1
Release:        %mkrel 3
Summary:        C/C++ source generation from an AST

License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/cgen
Source0:        https://pypi.io/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
cgen offers a simple abstract syntax tree for C and related languages
(C++/CUDA/OpenCL) to allow structured code generation from Python.

%package -n python3-%{pypi_name}
Summary:        C/C++ source generation from an AST
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

Obsoletes:      python-cgen < 2012.1-12
Provides:       python-cgen = %{version}-%{release}

%description -n python3-%{pypi_name}
cgen offers a simple abstract syntax tree for C and related languages
(C++/CUDA/OpenCL) to allow structured code generation from Python.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Jan 29 2024 papoteur <papoteur> 2020.1-3.mga10
+ Revision: 2036051
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 2020.1-2.mga9
+ Revision: 1823912
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 2020.1-1.mga9
+ Revision: 1785609
- version 2020.1
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2017.1-5.mga9
+ Revision: 1732353
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2017.1-4.mga8
+ Revision: 1532162
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 2017.1-3.mga8
+ Revision: 1441770
- port to Python 3
- drop python2 support

* Sun Aug 18 2019 wally <wally> 2017.1-2.mga8
+ Revision: 1429707
- drop sphinx built docs (no more python2-sphinx)
- fix description

* Sun Sep 23 2018 daviddavid <daviddavid> 2017.1-1.mga7
+ Revision: 1297110
- new version: 2017.1
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ tv <tv>
- BR python2dist(distribute)

* Mon Feb 08 2016 umeabot <umeabot> 2012.1-11.mga6
+ Revision: 947872
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2012.1-10.mga5
+ Revision: 742424
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2012.1-9.mga5
+ Revision: 728179
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 neoclust <neoclust> 2012.1-6.mga4
+ Revision: 546369
- Fix provide

* Tue Oct 22 2013 umeabot <umeabot> 2012.1-5.mga4
+ Revision: 543054
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2012.1-4.mga4
+ Revision: 498222
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jun 09 2013 fwang <fwang> 2012.1-3.mga4
+ Revision: 440989
- fix br

* Sat Mar 30 2013 rtp <rtp> 2012.1-2.mga3
+ Revision: 406695
- Add missing build requires not noticed due to the build script downloading it while
  building.

* Sun Dec 09 2012 joequant <joequant> 2012.1-1.mga3
+ Revision: 329010
- imported package python-cgen


* Tue Sep 18 2012 joequant <joequant> - 2012.1-1
- Initial package.
